//
//  SettingConstants.h
//  PTTLibrary
//
//  Created by Admin on 9/3/15.
//  Copyright (c) 2015 FCS Computer Systems. All rights reserved.
//

#ifndef PTTLibrary_SettingConstants_h
#define PTTLibrary_SettingConstants_h


#define SETTING_NOTIFY_CALL_USER_SOUND      @"notify_call_user_sound"
#define SET_SETTING_NOTIFY_CALL_USER_SOUND(v)   UsrDfltSetBool4KeySync(v,SETTING_NOTIFY_CALL_USER_SOUND)
#define GET_SETTING_NOTIFY_CALL_USER_SOUND      (UsrDfltGetBool4Key(SETTING_NOTIFY_CALL_USER_SOUND) == nil) ? YES : UsrDfltGetBool4Key(SETTING_NOTIFY_CALL_USER_SOUND)


#define SETTING_NOTIFY_CALL_USER_VIBRATE    @"notify_call_user_vibrate"
#define SET_SETTING_NOTIFY_CALL_USER_VIBRATE(v)   UsrDfltSetBool4KeySync(v,SETTING_NOTIFY_CALL_USER_VIBRATE)
#define GET_SETTING_NOTIFY_CALL_USER_VIBRATE      (UsrDfltGetBool4Key(SETTING_NOTIFY_CALL_USER_VIBRATE) == nil) ? YES : UsrDfltGetBool4Key(SETTING_NOTIFY_CALL_USER_VIBRATE)

#define SETTING_NOTIFY_CALL_GROUP_SOUND     @"notify_call_group_sound"
#define SET_SETTING_NOTIFY_CALL_GROUP_SOUND(v)   UsrDfltSetBool4KeySync(v,SETTING_NOTIFY_CALL_GROUP_SOUND)
#define GET_SETTING_NOTIFY_CALL_GROUP_SOUND      (UsrDfltGetBool4Key(SETTING_NOTIFY_CALL_GROUP_SOUND) == nil) ? NO : UsrDfltGetBool4Key(SETTING_NOTIFY_CALL_GROUP_SOUND)


#define SETTING_NOTIFY_CALL_GROUP_VIBRATE   @"notify_call_group_vibrate"
#define SET_SETTING_NOTIFY_CALL_GROUP_VIBRATE(v)   UsrDfltSetBool4KeySync(v,SETTING_NOTIFY_CALL_GROUP_VIBRATE)
#define GET_SETTING_NOTIFY_CALL_GROUP_VIBRATE      (UsrDfltGetBool4Key(SETTING_NOTIFY_CALL_GROUP_VIBRATE) == nil) ? NO : UsrDfltGetBool4Key(SETTING_NOTIFY_CALL_GROUP_VIBRATE)


#define SETTING_NOTIFY_BEEP                 @"notify_beep"
#define SET_SETTING_NOTIFY_BEEP(v)   UsrDfltSetBool4KeySync(v,SETTING_NOTIFY_BEEP)
#define GET_SETTING_NOTIFY_BEEP      (UsrDfltGetBool4Key(SETTING_NOTIFY_BEEP) == nil) ? YES : UsrDfltGetBool4Key(SETTING_NOTIFY_BEEP)


#define SETTING_NOTIFY_HEADSET_VOICE        @"notify_headset_voice"
#define SET_SETTING_NOTIFY_HEADSET_VOICE(v)   UsrDfltSetBool4KeySync(v,SETTING_NOTIFY_HEADSET_VOICE)
#define GET_SETTING_NOTIFY_HEADSET_VOICE      (UsrDfltGetBool4Key(SETTING_NOTIFY_HEADSET_VOICE) == nil) ? YES : UsrDfltGetBool4Key(SETTING_NOTIFY_HEADSET_VOICE)


#define SETTING_TIME_OUT_CONNECTING_SERVER  @"time_out_server"
#define SET_SETTING_TIME_OUT_CONNECTING_SERVER(v)   UsrDfltSetObjKeySync(v,SETTING_TIME_OUT_CONNECTING_SERVER)
#define GET_SETTING_TIME_OUT_CONNECTING_SERVER      CheckObjNil(UsrDfltStr4Key(SETTING_TIME_OUT_CONNECTING_SERVER), @"8")


#define SETTING_TIME_OUT_CONNECTING_CALL    @"time_out_call"
#define SET_SETTING_TIME_OUT_CONNECTING_CALL(v)   UsrDfltSetObjKeySync(v,SETTING_TIME_OUT_CONNECTING_CALL)
#define GET_SETTING_TIME_OUT_CONNECTING_CALL      CheckObjNil(UsrDfltStr4Key(SETTING_TIME_OUT_CONNECTING_CALL), @"10")


#define SETTING_RECORD_FILE_MAX_TIME        @"record_file_max_time"
#define SET_SETTING_RECORD_FILE_MAX_TIME(v)   UsrDfltSetObjKeySync(v,SETTING_RECORD_FILE_MAX_TIME)
#define GET_SETTING_RECORD_FILE_MAX_TIME      CheckObjNil(UsrDfltStr4Key(SETTING_RECORD_FILE_MAX_TIME), @"24")


#define SETTING_RECORD_FILE_MAX_SIZE        @"record_file_max_size"
#define SET_SETTING_RECORD_FILE_MAX_SIZE(v)   UsrDfltSetObjKeySync(v,SETTING_RECORD_FILE_MAX_SIZE)
#define GET_SETTING_RECORD_FILE_MAX_SIZE      CheckObjNil(UsrDfltStr4Key(SETTING_RECORD_FILE_MAX_SIZE), @"1024")


#define SETTING_SIGNAL_FAIR                 @"signal_fair"
#define SET_SETTING_SIGNAL_FAIR(v)   UsrDfltSetInt4KeySync(v,SETTING_SIGNAL_FAIR)
#define GET_SETTING_SIGNAL_FAIR      (UsrDfltGetInt4Key(SETTING_SIGNAL_FAIR) == nil) ? 30 : UsrDfltGetInt4Key(SETTING_SIGNAL_FAIR)


#define SETTING_SIGNAL_BAD                  @"signal_bad"
#define SET_SETTING_SIGNAL_BAD(v)   UsrDfltSetInt4KeySync(v,SETTING_SIGNAL_BAD)
#define GET_SETTING_SIGNAL_BAD      (UsrDfltGetInt4Key(SETTING_SIGNAL_BAD) == nil) ? 60 : UsrDfltGetInt4Key(SETTING_SIGNAL_BAD)

#endif
